Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
content_analysis
/
sentiment_analysis
/
live
Content Analysis – Sentiment Analysis API
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/content_analysis/sentiment_analysis/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyword": "<string>",
  "keyword_fields": {},
  "page_type": [
    "<string>"
  ],
  "internal_list_limit": 123,
  "positive_connotation_threshold": 123,
  "sentiments_connotation_threshold": 123,
  "initial_dataset_filters": [
    "<string>"
  ],
  "rank_scale": "<string>",
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.type": "<string>",
  "tasks.result.positive_connotation_distribution": {},
  "tasks.result.positive_connotation_distribution.$positive": {},
  "tasks.result.positive_connotation_distribution.$positive.type": "<string>",
  "tasks.result.positive_connotation_distribution.$positive.total_count": 123,
  "tasks.result.positive_connotation_distribution.$positive.rank": 123,
  "tasks.result.positive_connotation_distribution.$positive.top_domains": [
    "<string>"
  ],
  "tasks.result.positive_connotation_distribution.$positive.sentiment_connotations": {},
  "tasks.result.positive_connotation_distribution.$positive.connotation_types": {},
  "tasks.result.positive_connotation_distribution.$positive.text_categories": [
    "<string>"
  ],
  "tasks.result.positive_connotation_distribution.$positive.page_categories": [
    "<string>"
  ],
  "tasks.result.positive_connotation_distribution.$positive.page_types": {},
  "tasks.result.positive_connotation_distribution.$positive.countries": {},
  "tasks.result.positive_connotation_distribution.$positive.languages": {},
  "tasks.result.sentiment_connotation_distribution": {},
  "tasks.result.sentiment_connotation_distribution.$anger": {},
  "tasks.result.sentiment_connotation_distribution.$anger.type": "<string>",
  "tasks.result.sentiment_connotation_distribution.$anger.total_count": 123,
  "tasks.result.sentiment_connotation_distribution.$anger.rank": 123,
  "tasks.result.sentiment_connotation_distribution.$anger.top_domains": [
    "<string>"
  ],
  "tasks.result.sentiment_connotation_distribution.$anger.sentiment_connotations": {},
  "tasks.result.sentiment_connotation_distribution.$anger.connotation_types": {},
  "tasks.result.sentiment_connotation_distribution.$anger.text_categories": [
    "<string>"
  ],
  "tasks.result.sentiment_connotation_distribution.$anger.page_categories": [
    "<string>"
  ],
  "tasks.result.sentiment_connotation_distribution.$anger.page_types": {},
  "tasks.result.sentiment_connotation_distribution.$anger.countries": {},
  "tasks.result.sentiment_connotation_distribution.$anger.languages": {}
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keyword
string
required

target keyword required field UTF-8 encoding the keywords will be converted to a lowercase format; Note: to match an exact phrase instead of a stand-alone keyword, use double quotes and backslashes; example: "keyword": ""tesla palo alto"" learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

keyword_fields
object

target keyword fields and target keywords optional field use this parameter to filter the dataset by keywords that certain fields should contain; fields you can specify: title, main_title, previous_title, snippet you can indicate several fields; Note: to match an exact phrase instead of a stand-alone keyword, use double quotes and backslashes; example: "keyword_fields": { "snippet": ""logitech mouse"", "main_title": "sale" }

page_type
string[]

target page types optional field use this parameter to filter the dataset by page types possible values: "ecommerce", "news", "blogs", "message-boards", "organization"

internal_list_limit
integer

maximum number of elements within internal arrays optional field you can use this field to limit the number of elements within the following arrays: top_domains text_categories page_categories countries languages default value: 1 maximum value: 20

positive_connotation_threshold
number

positive connotation threshold optional field specified as the probability index threshold for positive sentiment related to the citation content if you specify this field, connotation_types object in the response will only contain data on citations with positive sentiment probability more than or equal to the specified value possible values: from 0 to 1 default value: 0.4

sentiments_connotation_threshold
number

sentiment connotation threshold optional field specified as the probability index threshold for sentiment connotations related to the citation content if you specify this field, sentiment_connotations object in the response will only contain data on citations where the probability per each sentiment is more than or equal to the specified value possible values: from 0 to 1 default value: 0.4

initial_dataset_filters
string[]

initial dataset filtering parameters optional field initial filtering parameters that apply to fields in the Search endpoint you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: regex, not_regex, , , >, >=, =, , in, not_in, like,not_like, has, has_not, match, not_match you can use the % operator with like and not_like to match any string of zero or more characters example: ["domain","", "logitech.com"] [["domain","","logitech.com"],"and",["content_info.connotation_types.negative",">",1000]] [["domain","","logitech.com"]], "and", [["content_info.connotation_types.negative",">",1000], "or", ["content_info.text_category","has",10994]]] for more information about filters, please refer to Content Analysis API – Filters learn more about the initial dataset filters in this help center article.

rank_scale
string

defines the scale used for calculating and displaying the rank values optional field you can use this parameter to choose whether rank values are presented on a 0–100 or 0–1000 scale possible values: one_hundred — rank values are displayed on a 0–100 scale one_thousand — rank values are displayed on a 0–1000 scale default value: one_thousand learn more about how this parameter works in this Help Center article

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.type
string

type of element = ‘content_analysis_sentiment_analysis’

tasks.result.positive_connotation_distribution
object

citation distribution by sentiment connotation types contains objects with citation counts and relevant data distributed by types of sentiments (sentiment polarity); possible sentiment connotation types: positive, negative, neutral

tasks.result.positive_connotation_distribution.$positive
object

positive, negative, or neutral connotations variable can take the following values: positive, negative, neutral

tasks.result.positive_connotation_distribution.$positive.type
string

type of element = ‘content_analysis_summary’

tasks.result.positive_connotation_distribution.$positive.total_count
integer

total number of relevant results

tasks.result.positive_connotation_distribution.$positive.rank
integer

rank of all relevant URLs

tasks.result.positive_connotation_distribution.$positive.top_domains
string[]

top relevant domains contains objects with top relevant domains and the number of citations per each domain

tasks.result.positive_connotation_distribution.$positive.sentiment_connotations
object

sentiment connotations contains relevant sentiments (emotional reactions) and the number of citations per each sentiment; possible connotations: "anger", "happiness", "love", "sadness", "share", "fun"

tasks.result.positive_connotation_distribution.$positive.connotation_types
object

connotation types contains types of sentiments (sentiment polarity) related to the keyword citation and citation count per each sentiment type; possible connotation types: "positive", "negative", "neutral"

tasks.result.positive_connotation_distribution.$positive.text_categories
string[]

text categories contains text categories and citation count in each text category to obtain a full list of available categories, refer to the Categories endpoint

tasks.result.positive_connotation_distribution.$positive.page_categories
string[]

page categories contains objects with page categories and citation count in each page category to obtain a full list of available categories, refer to the Categories endpoint

tasks.result.positive_connotation_distribution.$positive.page_types
object

page types contains page types and citation count per each page type

tasks.result.positive_connotation_distribution.$positive.countries
object

countries contains countries and citation count in each country to obtain a full list of available countries, refer to the Locations endpoint

tasks.result.positive_connotation_distribution.$positive.languages
object

languages to obtain a full list of available languages, refer to the Languages endpoint

tasks.result.sentiment_connotation_distribution
object

citation distribution by sentiment connotations contains objects with citation counts and relevant data distributed by sentiments (emotional reactions); possible sentiment connotation types: anger, happiness, love, sadness, share, fun

tasks.result.sentiment_connotation_distribution.$anger
object

sentiment name variable can take the following values: anger, happiness, love, sadness, share, fun

tasks.result.sentiment_connotation_distribution.$anger.type
string

type of element = ‘content_analysis_summary’

tasks.result.sentiment_connotation_distribution.$anger.total_count
integer

total number of relevant results

tasks.result.sentiment_connotation_distribution.$anger.rank
integer

rank of all relevant URLs

tasks.result.sentiment_connotation_distribution.$anger.top_domains
string[]

top relevant domains contains objects with top relevant domains and the number of citations per each domain

tasks.result.sentiment_connotation_distribution.$anger.sentiment_connotations
object

sentiment connotations contains relevant sentiments (emotional reactions) and the number of citations per each sentiment; possible connotations: "anger", "happiness", "love", "sadness", "share", "fun"

tasks.result.sentiment_connotation_distribution.$anger.connotation_types
object

connotation types contains types of sentiments (sentiment polarity) related to the keyword citation and citation count per each sentiment type; possible connotation types: "positive", "negative", "neutral"

tasks.result.sentiment_connotation_distribution.$anger.text_categories
string[]

text categories contains text categories and citation count in each text category to obtain a full list of available categories, refer to the Categories endpoint

tasks.result.sentiment_connotation_distribution.$anger.page_categories
string[]

page categories contains objects with page categories and citation count in each page category to obtain a full list of available categories, refer to the Categories endpoint

tasks.result.sentiment_connotation_distribution.$anger.page_types
object

page types contains page types and citation count per each page type

tasks.result.sentiment_connotation_distribution.$anger.countries
object

countries contains countries and citation count in each country to obtain a full list of available countries, refer to the Locations endpoint

tasks.result.sentiment_connotation_distribution.$anger.languages
object

languages to obtain a full list of available countries, refer to the Languages endpoint